import React from 'react';
import PropTypes from 'prop-types';
export declare class CollapsibleList extends React.Component<any, any> {
    static propTypes: {
        testAutomationId: PropTypes.Requireable<string>;
        visibleItems: PropTypes.Requireable<number>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    static defaultProps: {
        testAutomationId: string;
        visibleItems: number;
        children: any;
    };
    constructor(props: any, context: any);
    handleToggleClick(): void;
    render(): JSX.Element;
}
